1. 12 Mar, 2021 1 commit
  2. 14 Oct, 2020 1 commit
    • Aurelien Jarno's avatar
      Import Debian changes 4.2-1 · 9812cf35
      Aurelien Jarno authored
      i2c-tools (4.2-1) unstable; urgency=medium
      
        * New upstream version:
          - Refresh 01-decode-dimms-no-eeprom.diff.
        * Mark usr/lib/python3/dist-packages/smbus-1.1.egg-info as not installed.
        * Switch to debhelper 13.
      
      i2c-tools (4.1-2) unstable; urgency=medium
      
        * Drop python2 package (closes: #936716).
        * Bump Standards-Version to 4.4.0.
        * Add symbols file.
      9812cf35
  3. 05 Mar, 2021 1 commit
  4. 29 Jun, 2020 3 commits
  5. 04 Dec, 2018 1 commit
    • Aurelien Jarno's avatar
      Import Debian changes 4.1-1 · f42cf5be
      Aurelien Jarno authored
      i2c-tools (4.1-1) unstable; urgency=medium
      .
        * New upstream version:
          - Drop debian/patches/03-sysfs-buffer-overflow.diff (upstreamed).
          - Update debian/copyright to reflect that the library is now released
            under LGPL version 2.1 or later.
        * Drop X-Python-Version and X-Python3-Version fields.
        * Bump Standards-Version to 4.2.1.
        * Set Rules-Requires-Root: no.
      .
      i2c-tools (4.0-2) unstable; urgency=medium
      .
        * Switch architecture to linux-any (Closes: #883120).
      .
      i2c-tools (4.0-1) unstable; urgency=medium
      .
        * New upstream release:
          - Add a libi2c0 package containing the new shared library.
          - Change libi2c-dev into a arch:any.
          - Update debian/copyright with the new location and licenses.
          - The <linux/i2c-dev.h> include has been replaced by <i2c/smbus.h>,
            remove the diversion on upgrade (Closes: #798409).
        * Add 03-sysfs-buffer-overflow.diff to fix buffer overflows in sysfs paths.
        * Switch to debhelper 10.
        * Change the priority to optional from extra, as required by the Debian
          Policy 4.0.1.
        * Bump Standards-Version to 4.1.1.
      .
      i2c-tools (3.1.2-3) unstable; urgency=medium
      .
        * Add 02-udevadm.diff to change the udevadm path from /sbin to /bin
          (Closes: #852567).
      .
      i2c-tools (3.1.2-2) unstable; urgency=medium
      .
        * Set architecture to linux-any.
        * Pass CPPFLAGS through CFLAGS as the upstream makefile doesn't support the
          former.
      .
      i2c-tools (3.1.2-1) unstable; urgency=medium
      .
        * New upstream version.
        * Update debian/copyright with an alternative download location given
          the upstream website is dead.
        * Rewrite debian/rules using dh.
        * Remove support for makedev, unconditionally depends on udev.
        * Add a python3 package (Closes: #800774).
        * Bump Standards-Version to 3.9.8.
      .
      i2c-tools (3.1.1-1) unstable; urgency=medium
      .
        * New upstream version.
        * Refresh 01-decode-dimms-no-eeprom.diff.
        * Install new manpages.
        * Set CFLAGS, CPPFLAGS and LDFLAGS to build with hardening support.
        * Recommends read-edid. (Closes: #740541).
        * Bump Standards-Version to 3.9.5 (no changes).
      .
      i2c-tools (3.1.0-2) unstable; urgency=low
      .
        * decode-dimms: exit gracefully when no EEPROM are found on the system
          (Closes: #681057).
      .
      i2c-tools (3.1.0-1) unstable; urgency=low
      .
        * New usptream version. (Closes: #670956).
        * Bump Standards-Version to 3.9.3 (no changes).
      .
      i2c-tools (3.0.3-5) unstable; urgency=low
      .
        * Switch to dh_python2:
          - Build-depends on python-all-dev (>= 2.6.6-3~).
          - Drop build-depends on python-support.
          - Remove XB-Python-Version field.
          - Call dh_python2 instead of dh_pysupport.
          - Replace debian/pyversion by X-Python-Version.
        * Add build-arch and build-indep targets.
      .
      i2c-tools (3.0.3-4) unstable; urgency=low
      .
        * Don't try to change the i2c devices permissions if MAKEDEV doesn't
          create them. (Closes: #622156).
      .
      i2c-tools (3.0.3-3) unstable; urgency=low
      .
        * Fix inverted logic in postinst. (Closes: #621898).
      .
      i2c-tools (3.0.3-2) unstable; urgency=low
      .
        * Fix a typo in i2cset manpage. (Closes: #602368).
        * Don't try to detect udev before creating a device, it's already done
          by MAKEDEV. (Closes: #620785).
        * Bump standard versions to 3.9.2 (no changes).
      .
      i2c-tools (3.0.3-1) unstable; urgency=low
      .
        * New upstream version.
        * Bump standard versions to 3.9.1 (no changes).
      .
      i2c-tools (3.0.2-5) unstable; urgency=low
      .
        * Add depends on adduser to i2ctools. (Closes: #608835).
      .
      i2c-tools (3.0.2-4) unstable; urgency=low
      .
        * Add ${misc:Depends} to all binaries.
        * Create an i2c group on install, and add a udev file to set the group
          and the mode of /dev/i2c-* nodes.
      .
      i2c-tools (3.0.2-3) unstable; urgency=low
      .
        * Correctly call dh_pysupport. (Closes: #556147).
      .
      i2c-tools (3.0.2-2) unstable; urgency=low
      .
        * i2c-tools: depends on udev | makedev and create /dev/i2c-0 (Closes:
          bug#546871).
        * Bump standard versions to 3.8.3 (no changes).
      .
      i2c-tools (3.0.2-1) unstable; urgency=low
      .
        * New upstream version.
        * Bump standard versions to 3.8.0 (no changes).
      .
      i2c-tools (3.0.1-1) unstable; urgency=low
      .
        * New upstream version.
      .
      i2c-tools (3.0.0-2) unstable; urgency=low
      .
        * Bump standard versions to 3.7.3 (no changes).
        * Fix python-pysmbus description.
        * Fix debian/copyright.
      .
      i2c-tools (3.0.0-1) unstable; urgency=low
      .
        * New upstream package split from lm-sensors.
      f42cf5be